com.ibm.openpages.api.solution

## Interface ISolution

-     public interface ISolution

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBuildInfo()` Returns the build information for the latest version.
    `java.lang.String` | `getDescription()` Returns the description of the solution
    `int` | `getFixPackVersion()` Returns fixpack version number of the solution
    `Id` | `getId()` Returns local unique identifier of the solution
    `Id` | `getLatestVersionId()` Returns the id of the latest solution version
    `java.util.Date` | `getLatestVersionInstalledDate()` Returns the date the latest version was installed.
    `int` | `getMajorVersion()` Returns major version number of the solution
    `int` | `getMinorVersion()` Returns minor version number of the solution
    `java.util.Date` | `getModifiedDate()` Returns the last date the solution was updated.
    `int` | `getModVersion()` Returns mod version number of the solution
    `java.lang.String` | `getName()` Returns the name of the solution
    `java.util.Date` | `getRegisteredDate()` Returns the date the solution was registered
    `SolutionType` | `getType()` Returns the type of solution
    `java.util.UUID` | `getUUID()` Returns the globally unique identifier of the solution
    `java.lang.String` | `getVersion()` Returns the full version string of the solution, including major, minor, mod and fixpack numbers.
    `boolean` | `isEnabled()` Returns whether the solution is enabled
    `boolean` | `isSuppliedByVendor()` Returns whether the solution was supplied by IBM
    `void` | `setDescription(java.lang.String description)` Sets the description of the solution
    `void` | `setEnabled(boolean enabled)` Sets whether the solution is enabled.
    `void` | `setName(java.lang.String name)` Sets the name of the solution

- - ### Method Detail

    - #### getId

          Id getId()

      Returns local unique identifier of the solution
      Returns:

    - #### getUUID

          java.util.UUID getUUID()

      Returns the globally unique identifier of the solution
      Returns:

    - #### getName

          java.lang.String getName()

      Returns the name of the solution
      Returns:

    - #### setName

          void setName(java.lang.String name)

      Sets the name of the solution
      Parameters:
        `name` -

    - #### getDescription

          java.lang.String getDescription()

      Returns the description of the solution
      Returns:

    - #### setDescription

          void setDescription(java.lang.String description)

      Sets the description of the solution
      Parameters:
        `description` -

    - #### getLatestVersionId

          Id getLatestVersionId()

      Returns the id of the latest solution version
      Returns:

    - #### getType

          SolutionType getType()

      Returns the type of solution
      Returns:

    - #### getMajorVersion

          int getMajorVersion()

      Returns major version number of the solution
      Returns:

    - #### getMinorVersion

          int getMinorVersion()

      Returns minor version number of the solution
      Returns:

    - #### getModVersion

          int getModVersion()

      Returns mod version number of the solution
      Returns:

    - #### getFixPackVersion

          int getFixPackVersion()

      Returns fixpack version number of the solution
      Returns:

    - #### getVersion

          java.lang.String getVersion()

      Returns the full version string of the solution, including major, minor, mod and fixpack numbers.
      Returns:

    - #### getBuildInfo

          java.lang.String getBuildInfo()

      Returns the build information for the latest version.
      Returns:

    - #### getRegisteredDate

          java.util.Date getRegisteredDate()

      Returns the date the solution was registered
      Returns:

    - #### getModifiedDate

          java.util.Date getModifiedDate()

      Returns the last date the solution was updated.
      Returns:

    - #### getLatestVersionInstalledDate

          java.util.Date getLatestVersionInstalledDate()

      Returns the date the latest version was installed.
      Returns:

    - #### isEnabled

          boolean isEnabled()

      Returns whether the solution is enabled
      Returns:

    - #### setEnabled

          void setEnabled(boolean enabled)

      Sets whether the solution is enabled.
      Parameters:
        `enabled` -

    - #### isSuppliedByVendor

          boolean isSuppliedByVendor()

      Returns whether the solution was supplied by IBM
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.